> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Base Async Jobs

> Lists the asynchronous jobs (such as data-ingestion/upload jobs) associated with a knowledge base, most recent first. By default only in-progress jobs are returned — the status=Active default resolves to pending and running jobs; pass status=All for every job regardless of state, or a specific job status value to filter to that state. Use this to monitor the progress of ingestion triggered by the upload endpoints after creating a knowledge base. Results are scoped to jobs linked to the given knowledge base and require read access to it.



## OpenAPI

````yaml https://api.sgp.scale.com/openapi-versions/v4/openapi.json get /v4/knowledge-bases/{knowledge_base_id}/async-jobs
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/knowledge-bases/{knowledge_base_id}/async-jobs:
    get:
      tags:
        - Knowledge Bases
      summary: List Knowledge Base Async Jobs
      description: >-
        Lists the asynchronous jobs (such as data-ingestion/upload jobs)
        associated with a knowledge base, most recent first. By default only
        in-progress jobs are returned — the status=Active default resolves to
        pending and running jobs; pass status=All for every job regardless of
        state, or a specific job status value to filter to that state. Use this
        to monitor the progress of ingestion triggered by the upload endpoints
        after creating a knowledge base. Results are scoped to jobs linked to
        the given knowledge base and require read access to it.
      operationId: GET-V4-/knowledge-bases/{knowledge_base_id}/async-jobs
      parameters:
        - name: knowledge_base_id
          in: path
          required: true
          schema:
            type: string
            title: Knowledge Base Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AsyncJobAPIStatusEnum'
              - $ref: '#/components/schemas/GenericAsyncJobStatusEnum'
            description: Optional search by status type
            default: Active
            title: Status
          description: Optional search by status type
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: >-
              Page number for pagination to be returned by the given endpoint.
              Starts at page 1
            default: 1
            title: Page
          description: >-
            Page number for pagination to be returned by the given endpoint.
            Starts at page 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            description: >-
              Maximum number of artifacts to be returned by the given endpoint.
              Defaults to 100 and cannot be greater than 10k.
            default: 100
            title: Limit
          description: >-
            Maximum number of artifacts to be returned by the given endpoint.
            Defaults to 100 and cannot be greater than 10k.
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AsyncJobsEntity'
                title: >-
                  Response Get-V4-/Knowledge-Bases/{Knowledge Base
                  Id}/Async-Jobs
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AsyncJobAPIStatusEnum:
      type: string
      enum:
        - Active
        - All
      title: AsyncJobAPIStatusEnum
    GenericAsyncJobStatusEnum:
      type: string
      enum:
        - Pending
        - Running
        - Completed
        - Failed
        - Canceled
      title: GenericAsyncJobStatusEnum
    AsyncJobsEntity:
      properties:
        job_type:
          $ref: '#/components/schemas/AsyncJobType'
        parent_job_id:
          title: Parent Job Id
          type: string
        status:
          type: string
          title: Status
        status_reason:
          title: Status Reason
          type: string
        progress:
          title: Progress
          additionalProperties: true
          type: object
        job_metadata:
          title: Job Metadata
          additionalProperties: true
          type: object
        idempotency_key:
          title: Idempotency Key
          type: string
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      additionalProperties: true
      type: object
      required:
        - job_type
        - status
        - id
        - created_at
        - account_id
        - updated_at
      title: AsyncJobsEntity
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AsyncJobType:
      type: string
      enum:
        - evaluation-auto-eval
        - evaluation-test-cases-result-gen
        - evaluation-metrics-gen
        - evaluation-builder
        - evaluation-dataset-generation
        - knowledge_base_upload
        - application-variant-report-generation
        - application-interaction-evaluation
        - deploy-inference-model
        - update-inference-model
        - evaluation-task-execution
        - evaluation-task-runner
        - parse-document
        - marking-scans
      title: AsyncJobType
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````